---
title: 'MediaStreamTrack: unmute event'
slug: Web/API/MediaStreamTrack/unmute_event
tags:
  - Audio
  - Event
  - Media
  - Media Capture and Streams
  - Media Streams
  - MediaStreamTrack
  - Reference
  - Video
  - unmute
---
<div>{{APIRef("Media Capture and Streams")}}</div>

<p><span class="seoSummary">The <code><strong>unmute</strong></code> event is sent to a {{domxref("MediaStreamTrack")}} when the track's source is once again able to provide media data after a period of not being able to do so.</span> This ends the {{domxref("MediaStreamTrack.muted", "muted")}} state that began with the {{domxref("MediaStreamTrack/mute_event", "mute")}} event.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("Event")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("MediaStreamTrack.onunmute", "onunmute")}}</td>
  </tr>
 </tbody>
</table>

<div class="note">
<p><strong>Note:</strong> The condition that most people think of as "muted" (that is, a user-controllable way to silence a track) is actually managed using the {{domxref("MediaStreamTrack.enabled")}} property, for which there are no events.</p>
</div>

<h2 id="Examples">Examples</h2>

<p>In this example, event handlers are established for the {{domxref("MediaStreamTrack/mute_event", "mute")}} and <code>unmute</code> events in order to detect when the media is not flowing from the source for the {{domxref("MediaStreamTrack")}} stored in the variable <code>musicTrack</code>.</p>

<pre class="brush: js">musicTrack.addEventListener("mute", event =&gt; {
  document.getElementById("timeline-widget").style.backgroundColor = "#aaa";
}, false);

musicTrack.addEventListener("unmute", event =&gt; {
 document.getElementById("timeline-widget").style.backgroundColor = "#fff";
}, false);
</pre>

<p>With these event handlers in place, when the track <code>musicTrack</code> enters its {{domxref("MediaStreamTrack.muted", "muted")}} state, the element with the ID <code>timeline-widget</code> gets its background color changed to <code>#aaa</code>. When the track exits the muted state—detected by the arrival of an <code>unmuted</code> event—the background color is restored to white.</p>

<p>You can also use the {{domxref("MediaStreamTrack.onunmute", "onunmute")}} event handler property to set up a handler for this event; similarly, the {{domxref("MediaStreamTrack.onmute", "onmute")}} event handler is available for setting up a handler for the <code>mute</code> event. The following example shows this:</p>

<pre class="brush: js">musicTrack.onmute = event =&gt; {
  document.getElementById("timeline-widget").style.backgroundColor = "#aaa";
}

musicTrack.mute = event = &gt; {
  document.getElementById("timeline-widget").style.backgroundColor = "#fff";
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Media Capture', '#event-mediastreamtrack-unmute', 'unmute')}}</td>
   <td>{{Spec2('Media Capture')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaStreamTrack.unmute_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("MediaStreamTrack.onunmute", "onunmute")}} event handler property</li>
 <li>{{domxref("MediaStreamTrack/mute_event", "mute")}} event</li>
</ul>
